/**
 * 判断是否是Promise
 * @param {any} 任意类型
 * @returns
 */
function isPromise(obj) {
  return (
    !!obj &&
    (typeof obj === 'object' || typeof obj === 'function') &&
    typeof obj.then === 'function'
  )
}

export { isPromise }
